require 'movie'
module ToccoStudioGame
describe Movie do
	before do 
    @movie = Movie.new("goonies", 10)
end   
	
it "has a capitalized title" do
@movie.title.should == "Goonies"
end 

it "has an initial rank" do 
@movie.rank.should == 10
end 

it "increases rank by one" do
@movie.thumbs_up.should == 11
end 

it "decreases rank by one" do
@movie.thumbs_down.should == 9
end 


context "created with a default rank" do 
	before do 
	@movie = Movie.new("goonies")
	end
	it "has a rank of 0" do 
		@movie.rank.should == 0
	end 
end

context "with a rank of at least 10" do
	before do
 	@movie = Movie.new("goonies", 10)
	end

    it "is a hit" do 
    	@movie.hit?.should == true

	end
end
context "movie has a rank of less than 10" do
	before do 
	@movie = Movie.new("goonies", 9)
	end
	it "is not a hit" do
		@movie.hit?.should == false
	end
end
end
end
